Subject: Re: [PATCH] CodingGuidelines: recommend gender-neutral description

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Jul 2021 11:02:20 -0700

Taylor Blau <[email-masked]> writes:

> On Thu, Jul 15, 2021 at 12:35:30PM -0400, Eric Sunshine wrote:
>> On Thu, Jul 15, 2021 at 12:25 PM Junio C Hamano <[email-masked]> wrote:
>> > Technical writing seeks to convey information with minimal
>> > friction. One way that a reader can experience friction is if they
>> > encounter a description of "a user" that is later simplified using a
>> > gendered pronoun. If the reader does not consider that pronoun to
>> > apply to them, then they can experience cognitive dissonance that
>> > removes focus from the information.
>> >
>> > Give some basic tips to guide us avoid unnecessary of gendered
>> > description.
>>
>> Some words seem to be missing from this sentence.
>
> I assume that it's supposed to read "guide us [to] avoid unnecessary
> [uses] of gendered description".

Thanks.  Last-minute edit always screwes me up.

>> > +    Note that this sounds ungrammatical and unnatural to those who
>> > +    learned English as a second language in some parts of the world.
>>
>> It also sounds ungrammatical and unnatural to this native English speaker.
>
> Apologies if this suggestion has been made earlier in the thread, but
> this article
>
>     https://apastyle.apa.org/style-grammar-guidelines/grammar/singular-they
>
> document from the APA's style guide helps convince me that this is
> grammatical.

Yes, the language is living and drifting---and that is why it
matters when and where you learned ;-)